/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
package com.ebmwebsourcing.easycommons.uuid.framework;

public final class Stats {
	
	private final long tenPercent;
	private final long median;
	private final long ninetyPercent;
	private final long min;
	private final long average;
	private final long max;
	
	public Stats(final long tenPercent, final long median, final long ninetyPercent, final long min,
			final long average, final long max) {
		super();
		this.tenPercent = tenPercent;
		this.median = median;
		this.ninetyPercent = ninetyPercent;
		this.min = min;
		this.average = average;
		this.max = max;
	}

	public long getTenPercent() {
		return this.tenPercent;
	}

	public long getMedian() {
		return this.median;
	}

	public long getNinetyPercent() {
		return this.ninetyPercent;
	}

	public long getMin() {
		return this.min;
	}

	public long getAverage() {
		return this.average;
	}

	public long getMax() {
		return this.max;
	}

	@Override
	public String toString() {
        final StringBuilder strBuf = new StringBuilder();
		strBuf.append(this.tenPercent);
		strBuf.append('/');
		strBuf.append(this.median);
		strBuf.append('/');
		strBuf.append(this.ninetyPercent);
		strBuf.append(" | ");
		strBuf.append(this.min);
		strBuf.append('/');
		strBuf.append(this.average);
		strBuf.append('/');
		strBuf.append(this.max);
		return strBuf.toString();
	}

}
